namespace _2_
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            int[] b = new int[n];
            int k = 0;
            a[0] = 1;
            b[0] = 2;
            a[1] = 2 * n;
            b[1] = 2 * n - 1;
            for (int i = 2; i < n; i+=2)
            {
                a[i] = a[i-2] + 2;
                b[i] = b[i-2] + 2;
            }
            for (int i = 3;i < n; n-=2)
            {
                a[i] = a[i - 2] - 2;
                b[i] = b[i - 2] - 2;
            }


            foreach (int x in a)
                Console.Write(x + " ");
            Console.WriteLine();
            foreach (int y in b)
                Console.Write(y + " ");
        }
    }
}